scala.xml
class NodeBuffer

[source: `scala/xml/NodeBuffer.scala`]

`` `class` NodeBuffer
  `extends` ArrayBuffer[Node]

  This class acts as a Buffer for nodes. If it is used as a sequence of nodes `Seq[Node]`, it must be ensured that no updates occur after that point, because `scala.xml.Node` is assumed to be immutable.

  Despite this being a sequence, don't use it as key in a hashtable. Calling the hashcode function will result in a runtime error.

Author
  Burak Emir
Version
  1.0

Values and Variables inherited from ResizableArray
initialSize, array, size0

Method Summary
`def` | &+ (o : Any) : NodeBuffer Append given object to this buffer, returns reference on this NodeBuffer for convenience. Some rules apply: If o is null, it is ignored. If it is an Iterator or Iterable, its elements will be added. If o is a node, it is added as it is. If it is anything else, it gets wrapped in an Atom.

Methods inherited from ArrayBuffer
+=, ++=, ++=, +:, apply, ++:, insertAll, update, remove, clear, clone, equals, stringPrefix

Methods inherited from ResizableArray
length, copyToArray, copyToBuffer, elements, ensureSize, swap, copy

Methods inherited from Buffer
+, ++=, ++, ++, -=, append, appendAll, prepend, prependAll, insert, trimStart, trimEnd, <<, hashCode

Methods inherited from Seq
size, isEmpty, concat, ++, isDefinedAt, lastIndexOf, map, flatMap, filter, take, drop, takeWhile, dropWhile, reverse, contains, slice, subseq, toArray

Methods inherited from Collection
toString

Methods inherited from Iterable
foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, sameElements, toList, mkString, mkString, addString, addString, projection, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` &+(o : Any) : NodeBuffer

  Append given object to this buffer, returns reference on this NodeBuffer for convenience. Some rules apply: If o is null, it is ignored. If it is an Iterator or Iterable, its elements will be added. If o is a node, it is added as it is. If it is anything else, it gets wrapped in an Atom.

Parameters
  `o -` converts to an xml node and adds to this node buffer
Returns
  this nodebuffer